Subject: Re: bug#1058: 23.0.60; emacs --daemon should not return until socket is ready

From: Stefan Monnier <[email-masked]>
Date: Thu, 02 Oct 2008 08:38:53 -0400

>> > It would be much better if this could be done without a state
>> > changing function callable from elisp.
>> I agree, but given that control passes to Lisp pretty early, I don't
>> see how it can be done.
> That's exactly the reason for my initial reply...
> Anyway, your patch probably needs an approval from a maintainer.

I could accept a similar patch, maybe, but first I need to understand
why/where we currently "detach" so early.

        Stefan